typedef enum {
	KF_EVENT_CLASS_MESSAGE,
	KF_EVENT_CLASS_CHAT,
	KF_EVENT_CLASS_PRESENCE,
	KF_EVENT_CLASS_SUBSCRIPTION,
	KF_EVENT_CLASS_OFFLINE
} KfEventClass;

void kf_event (KfEventClass klass, gpointer user_data); 

void kf_event_queue (KfEventClass klass, const gchar *jid, gpointer data, GDestroyNotify notify);
void kf_event_release (const gchar *jid);
void kf_event_release_all (void);
gboolean kf_event_get (const gchar *jid);
gboolean kf_event_get_all (void);
